Bug 1016102 - tcpdump: Couldn't change ownership of savefile
tcpdump: Couldn't change ownership of savefile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tcpdump (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Michal Sekletar
Dalibor Pospíšil
: Regression
Depends On: 1015767
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 09:44 EDT by Michal Sekletar
Modified: 2014-06-13 08:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: tcpdump-4.5.1-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1015767
Environment:
Last Closed: 2014-06-13 08:22:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Sekletar 2013-10-07 09:44:03 EDT
+++ This bug was initially created as a clone of Bug #1015767 +++

Description of problem:
when running tcpdump with -w -, this error message is printed:
Couldn't change ownership of savefile

strace shows:
chown("-", 72, 72)                      = -1 ENOENT (No such file or directory)

tcpdump should not change owner of stdin (or better, not handle "-" as a regular file)

Version-Release number of selected component (if applicable):
tcpdump-4.4.0-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. tcpdump  -nni any -s 0 -w -
2.
3.

Actual results:
error message + some garbage

Expected results:
dump output to stdout as in previous versions

Additional info:
Comment 3 Michal Sekletar 2014-02-18 10:10:06 EST
This should be fixed with current build. Moving to MODIFIED.
Comment 7 Ludek Smid 2014-06-13 08:22:14 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.